function [varargout] = mp_lp(varargin)
%------------------------------  deprecated  ------------------------------
%   Use QPS_MATPOWER instead.
%--------------------------------------------------------------------------
%MP_LP  Linear program solver.
%   [X, LAMBDAOUT, HOWOUT, SUCCESS] = ...
%       MP_LP(f, A, b, VLB, VUB, X0, N, VERBOSE, ALG, OPT)
%
%   A common wrapper for various LP solvers, using the calling syntax of
%   LP from version 1 of the Optimization Toolbox, with the exception
%   that verbose == 0 means no output. The optional argument alg
%   determines the solver.
%     alg = 100  :  BPMPD_MEX
%     alg = 200  :  MIPS, Matlab Interior Point Solver
%                   pure Matlab implementation of a primal-dual
%                   interior point method
%     alg = 250  :  MIPS-sc, a step controlled variant of MIPS
%     alg = 300  :  Optimization Toolbox, LINPROG or LP
%   If ALG is missing or equal to zero, the first available solver is used.
%   An additional optional argument OPT can be used to set algorithm
%   specific options.
%
%   From the Optimization Toolbox v.1 docs ...
%     X=LP(f,A,b) solves the linear programming problem:
%
%          min f'x    subject to:   Ax <= b 
%           x
%
%     X=LP(f,A,b,VLB,VUB) defines a set of lower and upper
%     bounds on the design variables, X, so that the solution is always in
%     the range VLB <= X <= VUB.
%  
%     X=LP(f,A,b,VLB,VUB,X0) sets the initial starting point to X0.
%  
%     X=LP(f,A,b,VLB,VUB,X0,N) indicates that the first N constraints defined
%     by A and b are equality constraints.
%  
%     X=LP(f,A,b,VLB,VUB,X0,N,DISPLAY) controls the level of warning
%     messages displayed.  Warning messages can be turned off with
%     DISPLAY = -1.
%  
%     [x,LAMBDA]=LP(f,A,b) returns the set of Lagrangian multipliers,
%     LAMBDA, at the solution. 
%  
%     [X,LAMBDA,HOW] = LP(f,A,b) also returns a string how that indicates 
%     error conditions at the final iteration.
%  
%     LP produces warning messages when the solution is either unbounded
%     or infeasible. 

%   MATPOWER
%   $Id: mp_lp.m,v 1.27 2010/03/11 17:06:44 ray Exp $
%   by Ray Zimmerman, PSERC Cornell
%   Copyright (c) 1996-2010 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/matpower/ for more info.

[varargout{1:nargout}] = mp_qp([], varargin{:});
